<!DOCTYPE html>
<html ng-app="psonocli" class="main" ng-csp ng-strict-di>
<head>
    <title>Addon Window</title>
    <meta charset="utf-8">

    <link rel="apple-touch-icon" sizes="180x180" href="img/apple-touch-icon.png">
    <link rel="icon" type="image/png" href="img/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="img/favicon-16x16.png" sizes="16x16">
    <link rel="shortcut icon" href="img/favicon.ico">
    <meta charset="utf-8"/>
    <meta name="description" content="Psono Web Client to login or register">
    <meta name="msapplication-config" content="img/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />

    <!-- build:build_min_css -->
    <link href="css/lib/cssreset-context-min.css" rel="stylesheet" />
    <link href="css/lib/opensans.css" rel="stylesheet" />
    <link href="css/lib/angular-csp.css" rel="stylesheet">
    <link href="css/lib/bootstrap.css" rel="stylesheet">
    <link href="css/lib/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <link href="css/lib/ui-bootstrap-csp.css" rel="stylesheet">
    <link href="css/lib/datatables.min.css" rel="stylesheet">
    <link href="css/lib/angular-snap.css" rel="stylesheet">
    <link href="css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="css/lib/fira_code.css" rel="stylesheet">
    <link href="css/lib/angular-datatables.css" rel="stylesheet">
    <link href="css/lib/datatables.bootstrap.css" rel="stylesheet">
    <link href="css/lib/angular-ui-select.css" rel="stylesheet">
    <link href="css/lib/loading-bar.min.css" rel="stylesheet">

    <link href="css/angular-tree-view.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <!-- endbuild -->

    <link href="css/main.css" rel="stylesheet">
</head>
<body class="dark">
<div ng-controller="WrapperCtrl" class="ng-cloak" id="panel">
<div ng-if="view === 'logged_in'" ng-controller="PanelCtrl">

    <form name="searchForm" ng-if="!show_2fa_button" autocomplete="off">
        <div class="form-group">
            <input id="datastoresearch" name="datastoresearch" class="form-control" ng-model="datastore.search"
                   placeholder="{{'SEARCH_DATSTORE' | translate}}" auto-focus>
        </div>
        <hr>
        <ul class="navigations">
            <li ng-repeat="searchEntry in datastore.filteredSearcArray = (searchArray | filter:filterBySearch)">
                <a href="#" class="navigationitem" ng-click="edit_item(searchEntry)">{{ searchEntry.name }}</a>
                <span class="node-open-link">
                    <a href="#" class="btn btn-default" ng-click="on_item_click(searchEntry)">
                        <i class="fa fa-external-link"></i>
                    </a>
                </span>
                <span class="node-dropdown dropdown" uib-dropdown="" on-toggle="toggled(open, 'drop_node_' + node.id)">
                    <a class="btn btn-default dropdown-toggle" href="#" role="button"
                       id="drop_node_{{searchEntry.key}}" uib-dropdown-toggle=""
                       aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-cogs"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-button-menu"
                        aria-labelledby="drop_node_{{searchEntry.key}}">
                        <li role="menuitem" ng-click="copy_username(searchEntry)">
                            <a href="#"><i class="fa fa-clipboard"></i>{{'COPY_USERNAME' | translate}}</a>
                        </li>
                        <li role="menuitem" ng-click="copy_password(searchEntry)">
                            <a href="#"><i class="fa fa-clipboard"></i>{{'COPY_PASSWORD' | translate}}</a>
                        </li>
                        <li role="menuitem" ng-click="edit_item(searchEntry)">
                            <a href="#"><i class="fa fa-wrench"></i>{{'SHOW_OR_EDIT' | translate}}</a>
                        </li>
                    </ul>
                </span>
            </li>
            <li ng-if="datastore.filteredSearcArray.length === 0 && datastore.search !== ''">
                <a href="#" onclick="return false;">{{'NO_ENTRY_FOUND' | translate}}</a>
            </li>
        </ul>

        <ul class="navigations" ng-if="!datastore.search">
            <li><a href="#" class="navigationitem" ng-click="open_tab('index.html')">{{'OPEN_DATASTORE' | translate}}</a></li>

            <li><a href="#" class="navigationitem" ng-click="generate_password()" ng-if="!offline">{{'GENERATE_PASSWORD' | translate}}</a></li>
            <li><a href="#" class="navigationitem" ng-click="bookmark()" ng-if="!offline">{{'BOOKMARK' | translate}}</a></li>
            <!--<li><a href="https://www.psono.pw/help" target="_blank">Help</a></li>-->

        </ul>

        <hr>

        <div class="btn-group">
            <button ng-click="logout()" type="submit" class="btn btn-danger">{{'LOGOUT' | translate}}</button>
        </div>
    </form>
    <div ng-if="show_2fa_button">
        <div class="alert alert-info">
            <strong>{{'INFO' | translate}}!</strong> {{'ADMINISTRATOR_REQUIRES_SECOND_FACTOR' | translate}}
        </div>
        <button ng-click="open_tab('enforce-two-fa.html')" type="submit" class="btn btn-danger">{{'SETUP_SECOND_FACTOR' | translate}}</button>
        <button ng-click="logout()" class="btn btn-default">{{'LOGOUT' | translate}}</button>
    </div>
</div>
<div ng-if="view === 'logged_out'" ng-controller="LoginCtrl" class="loginbox">
    <!-- Not logged in, show the login form -->
    <img src="img/logo.png" alt="Psono Web Client" id="logo">
    <a href="https://psono.com/" target="_blank" rel="noopener" class="infolabel"><i class="fa fa-info-circle" aria-hidden="true"></i></a>

    <div class="btn-group loginbox-translate" uib-dropdown keyboard-nav>
        <button id="language-picker" type="button" class="btn btn-primary" uib-dropdown-toggle>
            {{active.lang.lng_code | translate}} <span class="caret"></span>
        </button>
        <ul class="dropdown-menu dropdown-menu-right" uib-dropdown-menu role="menu" aria-labelledby="language-picker">
            <li role="menuitem" ng-repeat="lang in languages">
                <a href="" ng-click="change_language(lang)" ng-if="lang.active">
                    {{lang.lng_code | translate}}
                </a>
            </li>
            <li role="menuitem">
                <a target="_blank" rel="noopener" href="https://poeditor.com/join/project/Aiea8D0WIr">
                    {{'NOT_LISTED' | translate}}
                </a>
            </li>
        </ul>
    </div>

    <form name="loginForm" ng-if="view === 'default'" autocomplete="off">
        <div ng-if="saml_enabled" ng-repeat="provider in saml_provider">
            <div class="form-group">
                {{ provider.title }}
            </div>
            <div class="form-group">
                <button ng-click="initiate_saml_login(provider, login_data.remember, login_data.trust, true)" type="submit" class="btn btn-danger">{{ provider.button_name}} <i class="fa fa-sign-in" aria-hidden="true"></i></button>
                <a ng-if="provider.registration_url" ng-href="{{ provider.registration_url }}">{{'REGISTER' | translate}}</a>
            </div>
        </div>
        <p ng-if="saml_enabled && saml_provider && saml_provider.length && (authkey_enabled || ldap_enabled)" class="horizontalline"><span>{{'OR' | translate}}</span></p>
        <div ng-if="authkey_enabled || ldap_enabled" ng-class="{'input-group': login_data.username == null || login_data.username.indexOf('@') == -1}">
            <input type="text" class="form-control" id="loginUsername" placeholder="{{'USERNAME' | translate}}" ng-model="login_data.username" required aria-describedby="username-addon" autofocus>
            <span class="input-group-addon" id="username-addon" ng-if="login_data.username == null || login_data.username.indexOf('@') == -1">@{{selected_server_domain}}</span>
        </div>
        <br ng-if="authkey_enabled || ldap_enabled">
        <div ng-if="authkey_enabled || ldap_enabled" class="form-group">
            <input type="password" class="form-control" id="loginPassword" placeholder="{{'PASSWORD' | translate}}" ng-model="login_data.password" required>
        </div>
        <div class="checkbox">
            <label><input type="checkbox" ng-model="login_data.remember"> {{'REMEMBER_USERNAME_AND_SERVER' | translate}}</label>
        </div>
        <div class="checkbox">
            <label><input type="checkbox" ng-model="login_data.trust"> {{'TRUST_DEVICE' | translate}}</label>
        </div>

        <div ng-if="authkey_enabled || ldap_enabled" class="form-group">
            <button ng-if="authkey_enabled || ldap_enabled" ng-click="initiate_login(login_data.username, login_data.password, login_data.remember, login_data.trust, false)" type="submit" class="btn btn-danger">{{'LOGIN' | translate}} <i class="fa fa-sign-in" aria-hidden="true"></i></button>
            <a ng-if="allow_registration && authkey_enabled" href="#" ng-click="open_tab('register.html')">{{'REGISTER' | translate}}</a>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>

        <div ng-if="allow_custom_server" class="form-group hideinputcharakter">

            <label for="serverselection">{{'SERVER' | translate}}: </label>
            <input type="text" id="serverselection"
                   uib-popover-template="'view/popover-server-select.html'"
                   popover-trigger="'focus'"
                   ng-model="selected_server_url"
                   ng-change="changing(selected_server_url)"
                   class="form-control">

        </div>
    </form>

    <form name="newServerForm" ng-if="view === 'new_server'" autocomplete="off">
        <!-- new Server View -->
        <div class="form-group">
            <h4>{{'NEW_SERVER' | translate}}</h4>
        </div>
        <div class="form-group">
            <p>{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}:</p>
            <textarea class="form-control" id="newServerFingerprint"
                      placeholder="{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}"
                      ng-model="newServerFingerprint" readonly="readonly"></textarea>
        </div>

        <div class="form-group">
            <button ng-click="approve_new_server()" type="submit"
                    class="btn btn-danger">{{'APPROVE' | translate}}</button>
            <a href="#" ng-click="disapprove_new_server()">{{'CANCEL' | translate}}</a>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>

        <div class="form-group">
            <div class="alert alert-info">
                <strong>{{'INFO' | translate}}!</strong> {{'IT_APPEARS_THAT_YOU_WANT_TO_CONNECT' | translate}}
            </div>
        </div>
    </form>

    <form name="signatureChangedForm" ng-if="view === 'signature_changed'" autocomplete="off">
        <!-- signature changed View -->
        <div class="form-group">
            <h4>{{'SERVER_SIGNATURE_CHANGED' | translate}}:</h4>
        </div>
        <div class="form-group">
            <p>{{'THE_NEW_FINGERPRINT_IS' | translate}}:</p>
            <textarea class="form-control" id="changedFingerprint"
                      placeholder="{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}"
                      ng-model="changedFingerprint" readonly="readonly"></textarea>
        </div>
        <div class="form-group">
            <p>{{'THE_OLD_FINGERPRINT_WAS' | translate}}:</p>
            <textarea class="form-control" id="oldFingerprint"
                      placeholder="{{'FINGERPRINT_OF_THE_OLD_SERVER' | translate}}"
                      ng-model="oldFingerprint" readonly="readonly"></textarea>
        </div>
        <div class="form-group">
            <div class="alert alert-danger">
                <strong>{{'DANGER' | translate}}!</strong> {{'THE_SIGNATURE_OF_THE_SERVER_CHANGED' | translate}}<br><br><strong>{{'CONTACT_THE_OWNER_OF_THE_SERVER' | translate}}</strong>
            </div>
        </div>

        <div class="form-group">
            <button ng-click="disapprove_new_server()" type="submit"
                    class="btn btn-danger">{{'CANCEL' | translate}}</button>
            <a href="#" ng-click="approve_new_server()">{{'IGNORE_AND_CONTINUE' | translate}}</a>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>
    </form>

    <form name="askPlainForm" ng-if="view === 'ask_send_plain'" autocomplete="off">
        <!-- signature changed View -->
        <div class="form-group">
            <h4>{{'SERVER_ASKS_FOR_YOUR_PLAINTEXT_PASSWORD' | translate}}:</h4>
        </div>
        <div class="form-group">
            <div class="alert alert-warning">
                <strong>{{'DANGER' | translate}}!</strong> {{'ACCEPTING_THIS_WILL_SEND_YOUR_PLAIN_PASSWORD' | translate}}
            </div>
        </div>

        <div class="form-group">
            <button ng-click="approve_send_plain()" type="submit"
                    class="btn btn-warning">{{'APPROVE_UNSAFE' | translate}}</button>
            <button ng-click="disapprove_send_plain()" type="submit"
                    class="btn btn-success">{{'DECLINE_SAFE' | translate}}</button>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>
    </form>

    <form name="googleAuthenticatorForm" ng-if="view === 'google_authenticator_2fa'" autocomplete="off">
        <!-- google_authenticator_2fa View -->
        <div class="form-group">
            {{'ENTER_YOUR_GOOGLE_AUTHENTICATOR_CODE' | translate}}:
        </div>
        <div class="form-group">
            <input type="text" class="form-control" id="gaToken" placeholder="{{'GOOGLE_AUTHENTICATOR_CODE' | translate}}"
                   ng-model="googleAuthenticatorFormGAToken" required maxlength="6" minlength="6">
        </div>

        <div class="form-group">
            <button ng-click="ga_verify(googleAuthenticatorFormGAToken)" type="submit"
                    class="btn btn-danger">{{'SEND' | translate}}</button>
            <button class="btn" type="button" ng-click="cancel();">{{'CLOSE' | translate}}</button>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>
    </form>

    <form name="yubikeyOTPForm" ng-if="view === 'yubikey_otp_2fa'" autocomplete="off">
        <!-- yubikey_otp_2fa View -->
        <div class="form-group">
            {{'ENTER_YOUR_YUBIKEY_OTP_TOKEN' | translate}}:
        </div>
        <div class="form-group">
            <input type="text" class="form-control" id="yubikeyOTPToken" placeholder="{{'YUBIKEY_TOKEN' | translate}}"
                   ng-model="yubikeyOTPFormToken" required>
        </div>

        <div class="form-group">
            <button ng-click="yubikey_otp_verify(yubikeyOTPFormToken)" type="submit"
                    class="btn btn-danger">{{'SEND' | translate}}</button>
            <button class="btn" type="button" ng-click="cancel();">{{'CLOSE' | translate}}</button>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>
    </form>

    <form name="duoForm" ng-if="view === 'duo_2fa'" autocomplete="off">
        <!-- duo_2fa View -->
        <div class="form-group">
            {{'APPROVE_THE_PUSH_NOTIFICATION' | translate}}:
        </div>
        <div class="form-group">
            <input type="text" class="form-control" id="duoToken" placeholder="{{'DUO_CODE' | translate}}"
                   ng-model="duoFormToken" required>
        </div>

        <div class="form-group">
            <button ng-click="duo_verify(duoFormToken)" type="submit"
                    class="btn btn-danger">{{'SEND' | translate}}</button>
            <button class="btn" type="button" ng-click="cancel();">{{'CLOSE' | translate}}</button>
        </div>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
        </div>
    </form>
</div>

</div>
<div ng-show="::false" style="position: fixed; height: 100%; width: 100%; background-color: #0f1118; top: 0; left: 0; z-index: 10000;">
    <div style="position: absolute; font-size: 26px; color: #2dbb93; background-color: #151f2b; top: 50%; left: 50%; transform: translate(-50%, -50%); padding: 60px 60px 60px 60px; text-align: center">
        <i style="
           display: inline-block;
           font: normal normal normal 14px/1 FontAwesome;
           text-rendering: auto;
           font-size: 3em;
           text-align: center;
           animation: fa-spin 2s infinite linear;
           vertical-align: middle;">&#xf110;</i> Loading<noscript><br>JavaScript is disabled</noscript>
    </div>
</div>


<!-- build:build_min_js -->
<!-- Start of scripts -->
<script src="js/lib/ecma-nacl.min.js" type="text/javascript"></script>
<script src="js/lib/openpgp.min.js" type="text/javascript"></script>
<script src="js/lib/sha512.min.js" type="text/javascript"></script>
<script src="js/lib/sha256.min.js" type="text/javascript"></script>
<script src="js/lib/sha1.min.js" type="text/javascript"></script>
<script src="js/lib/uuid.js" type="text/javascript"></script>
<script src="js/lib/chart.min.js" type="text/javascript"></script>
<script src="js/lib/client.min.js" type="text/javascript"></script>
<script src="js/lib/FileSaver.min.js" type="text/javascript"></script>
<script src="js/lib/text-decoder-polyfill.min.js" type="text/javascript"></script>
<script src="js/lib/jquery.min.js" type="text/javascript"></script>
<script src="js/lib/datatables.min.js" type="text/javascript"></script>
<script src="js/lib/snap.min.js" type="text/javascript"></script>
<script src="js/lib/jquery-ui.min.js"></script>
<script src="js/lib/lokijs.min.js" type="application/javascript"></script>
<script src="js/lib/qrcode.min.js" type="application/javascript"></script>
<script src="js/lib/fastclick.js" type="application/javascript"></script>
<script src="js/lib/papaparse.min.js" type="application/javascript"></script>
<script src="js/lib/fast-xml-parser.js" type="application/javascript"></script>


<!-- Angular Juju -->
<script src="js/lib/angular.min.js" type="application/javascript"></script>
<script src="js/lib/raven.min.js" type="application/javascript"></script>
<script src="js/raven.js" type="application/javascript"></script>
<script src="js/lib/angular-cookies.min.js" type="application/javascript"></script>
<script src="js/lib/angular-animate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-touch.min.js" type="application/javascript"></script>
<script src="js/lib/angular-complexify.min.js" type="application/javascript"></script>
<script src="js/lib/moment-with-locales.min.js" type="application/javascript"></script>
<script src="js/lib/bootstrap-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/loading-bar.min.js" type="application/javascript"></script>
<script src="js/lib/angular-chart.min.js" type="application/javascript"></script>
<script src="js/lib/angular-route.min.js" type="application/javascript"></script>
<script src="js/lib/angular-sanitize.min.js" type="application/javascript"></script>
<script src="js/lib/angular-local-storage.min.js" type="application/javascript"></script>
<script src="js/lib/angular-snap.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-eonasdan-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-storage-cookie.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-url.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-static-files.min.js" type="application/javascript"></script>
<script src="js/lib/ui-bootstrap-tpls.min.js" type="application/javascript"></script>
<script src="js/lib/angular-datatables.js" type="application/javascript"></script>
<script src="js/lib/angular-ui-select.js" type="application/javascript"></script>
<script src="js/lib/ng-context-menu.js" type="application/javascript"></script>

<script src="js/module/ng-tree.js" type="application/javascript"></script>

<script src="js/main.js" type="application/javascript"></script>
<script src="js/service-worker-load.js" type="application/javascript"></script>
<script src="js/crypto-worker.js" type="application/javascript"></script>

<script src="js/directive/autoFocus.js" type="application/javascript"></script>
<script src="js/directive/fileReader.js" type="application/javascript"></script>
<script src="js/directive/treeView.js" type="application/javascript"></script>
<script src="js/directive/treeViewNode.js" type="application/javascript"></script>

<script src="js/controller/AcceptShareCtrl.js"></script>
<script src="js/controller/ChooseFolderCtrl.js"></script>
<script src="js/controller/ChooseSecretsCtrl.js"></script>
<script src="js/controller/AccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivationCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActiveLinkSharesCtrl.js" type="application/javascript"></script>
<script src="js/controller/DatastoreCtrl.js"></script>
<script src="js/controller/SecurityReportCtrl.js" type="application/javascript"></script>
<script src="js/controller/LanguagePickerCtrl.js" type="application/javascript"></script>
<script src="js/controller/LinkShareAccessCtrl.js" type="application/javascript"></script>
<script src="js/controller/LoginCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGDecryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGEncryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/LostPasswordCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivateEmergencyCodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/MainCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AcceptShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseSecretsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureGoogleAuthenticatorCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteOtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AddGPGReceiverCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureDuoCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureYubiKeyOTPCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DatastoreNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DisplayShareRightsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GoOfflineCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/HistoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/VerifyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/PickUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/SelectUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EncryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DecryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGPGUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GenerateNewMailGPGKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ImportMailGPGKeyAsTextCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowEmergencyCodesCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowRecoverycodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/UnlockOfflineCacheCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteAccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/EditEntryBigCtrl.js" type="application/javascript"></script>
<script src="js/controller/OpenSecretCtrl.js" type="application/javascript"></script>
<script src="js/controller/DownloadFileCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherKnownHostsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherExportCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherImportCtrl.js" type="application/javascript"></script>
<script src="js/controller/PanelCtrl.js" type="application/javascript"></script>
<script src="js/controller/RegisterCtrl.js" type="application/javascript"></script>
<script src="js/controller/SettingsCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareusersCtrl.js" type="application/javascript"></script>
<script src="js/controller/GroupsCtrl.js" type="application/javascript"></script>
<script src="js/controller/WrapperCtrl.js" type="application/javascript"></script>
<script src="js/controller/Enforce2FaCtrl.js" type="application/javascript"></script>

<script src="js/service/api-client.js" type="application/javascript"></script>
<script src="js/service/api-gcp.js" type="application/javascript"></script>
<script src="js/service/api-do.js" type="application/javascript"></script>
<script src="js/service/api-aws.js" type="application/javascript"></script>
<script src="js/service/api-fileserver.js" type="application/javascript"></script>
<script src="js/service/api-pwnedpasswords.js" type="application/javascript"></script>
<script src="js/service/helper.js" type="application/javascript"></script>
<script src="js/service/device.js" type="application/javascript"></script>
<script src="js/service/message.js" type="application/javascript"></script>
<script src="js/service/item-blueprint.js" type="application/javascript"></script>
<script src="js/service/share-blueprint.js" type="application/javascript"></script>
<script src="js/service/crypto-library.js" type="application/javascript"></script>
<script src="js/service/converter.js" type="application/javascript"></script>
<script src="js/service/openpgp.js" type="application/javascript"></script>
<script src="js/service/storage.js" type="application/javascript"></script>
<script src="js/service/offline-cache.js" type="application/javascript"></script>
<script src="js/service/account.js" type="application/javascript"></script>
<script src="js/service/settings.js" type="application/javascript"></script>
<script src="js/service/manager-base.js" type="application/javascript"></script>
<script src="js/service/language-picker.js" type="application/javascript"></script>
<script src="js/service/manager.js" type="application/javascript"></script>
<script src="js/service/manager-widget.js" type="application/javascript"></script>
<script src="js/service/manager-datastore.js" type="application/javascript"></script>
<script src="js/service/manager-api-keys.js" type="application/javascript"></script>
<script src="js/service/manager-secret-link.js" type="application/javascript"></script>
<script src="js/service/manager-share-link.js" type="application/javascript"></script>
<script src="js/service/manager-export.js" type="application/javascript"></script>
<script src="js/service/manager-file-transfer.js" type="application/javascript"></script>
<script src="js/service/manager-file-link.js" type="application/javascript"></script>
<script src="js/service/manager-file-repository.js" type="application/javascript"></script>
<script src="js/service/manager-hosts.js" type="application/javascript"></script>
<script src="js/service/manager-import.js" type="application/javascript"></script>
<script src="js/service/manager-link-share.js" type="application/javascript"></script>
<script src="js/service/manager-security-report.js" type="application/javascript"></script>
<script src="js/service/import-chrome-csv.js" type="application/javascript"></script>
<script src="js/service/import-psono-pw-json.js" type="application/javascript"></script>
<script src="js/service/import-lastpass-com-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepassx-org-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-xml.js" type="application/javascript"></script>
<script src="js/service/manager-status.js" type="application/javascript"></script>
<script src="js/service/manager-secret.js" type="application/javascript"></script>
<script src="js/service/manager-share.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-password.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-user.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-gpg-user.js" type="application/javascript"></script>
<script src="js/service/manager-groups.js" type="application/javascript"></script>
<script src="js/service/manager-history.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-setting.js" type="application/javascript"></script>
<script src="js/service/browser-client.js" type="application/javascript"></script>
<script src="js/service/drop-down-menu-watcher.js" type="application/javascript"></script>

<script src="view/templates.js" type="application/javascript"></script>
<!-- End Angular Juju -->
<!-- endbuild -->
</body>
</html>